#ifndef MARS_MSoftwareTrigger
#define MARS_MSoftwareTrigger

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MRawEvtData;
class MParameterD;
class MPedestalSubtractedEvt;

class MSoftwareTrigger : public MTask
{
private:
    MRawEvtData *fRawEvt;
    MPedestalSubtractedEvt *fSignal;
    MParameterD *fTriggerSignal;
    MParameterD *fTriggerBaseline;

    Int_t  PreProcess(MParList *pList);
    Bool_t ReInit(MParList *pList);
    Int_t  Process();
    Int_t  ReadEnv(const TEnv &env, TString prefix, Bool_t print);

public:
    MSoftwareTrigger(const char *name=NULL, const char *title=NULL);

    virtual Bool_t InitArrays(Int_t) { return kTRUE; }

    ClassDef(MSoftwareTrigger, 0)   // Time And Charge Extractor Base Class
};

#endif
